#if !defined IMAGE_COPY_H
#define IMAGE_COPY_H

#include "imageset.h"

typedef void DataCopy (unsigned char *pdst, const unsigned char *psrc, size_t len);

void image_copy_data(Image *dst, Image *src);
void image_copy_palette(Image *dst, Image *src);
DataCopy *image_dataCopy_get(ImageType type_src, ImageType type_dst);
DataCopy *image_alpha_dataCopy_get(ImageType type_src, ImageType type_dst);

#endif /* !IMAGE_COPY_H */
