#if !defined CACHE_H
#define CACHE_H

#include "common.h"

typedef struct cache Cache;

Cache *cache_open(unsigned int capacity, unsigned int (*hashcode)(const void *), void *(*data_get)(const void *), int (*data_release)(void *));
int cache_close(Cache *cache);
int cache_clear(Cache *cache);
void *cache_tryget(Cache *cache, const void *arg);
void *cache_get(Cache *cache, const void *arg);

#endif /* !CACHE_H */
