#if !defined MODULE_H
#define MODULE_H

#include "imageset.h"

struct entry {
  const char *filename;
};
typedef struct entry Entry;

struct module {
  const char *name; /* module format name */
  int (*magic)(const void *buf, size_t length);  /* magic function */
  int (*reader)(Entry *entry, ImageSet *images); /* image reader */
};
typedef struct module Module;

#endif /* !MODULE_H */
