#if !defined OPTION_H
#define OPTION_H

#if !defined TRUE
#define TRUE !0
#define FALSE 0
#endif /* !TRUE */

enum optionArg {
  OPTION_ARG_NONE,
  OPTION_ARG_STRING,
  OPTION_ARG_INT,
  OPTION_ARG_LONG,
  OPTION_ARG_FLOAT,
  OPTION_ARG_DOUBLE
};
typedef enum optionArg OptionArg;

struct optionEntry {
  const char *long_name;
  const char *short_name;
  OptionArg arg;
  void *save;
};
typedef struct optionEntry OptionEntry;

int option_get(int *argc, char ***argv, OptionEntry *opt);
int option_get_one(int *argc, char ***argv, OptionEntry *opt);

#endif /* !OPTION_H */
