#if !defined OUTPUT_COLOR_H
#define OUTPUT_COLOR_H

#include <X11/Xlib.h> /* XColor */

typedef struct outputColor OutputColor;

OutputColor *outputColor_alloc(int bit_depth);
void outputColor_free(OutputColor *color);
unsigned long outputColor_get_pixel(OutputColor *color, unsigned short r, unsigned short g, unsigned short b);
XColor *outputColor_get_xcolor(OutputColor *color, unsigned int channel, unsigned short index);

#endif /* !OUTPUT_COLOR_H */
